public interface HostsListResponseOrBuilder extends MessageOrBuilderImplements
MessageOrBuilderMethods
getEtag()
public abstract String getEtag()optional string etag = 3123477;
| Returns | |
|---|---|
| Type | Description |
String |
The etag. |
getEtagBytes()
public abstract ByteString getEtagBytes()optional string etag = 3123477;
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for etag. |
getId()
public abstract String getId()The unique identifier for the resource; defined by the server.
optional string id = 3355;
| Returns | |
|---|---|
| Type | Description |
String |
The id. |
getIdBytes()
public abstract ByteString getIdBytes()The unique identifier for the resource; defined by the server.
optional string id = 3355;
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for id. |
getItems(int index)
public abstract Host getItems(int index)A list of host resources.
repeated .google.cloud.compute.v1.Host items = 100526016;
| Parameter | |
|---|---|
| Name | Description |
index |
int |
| Returns | |
|---|---|
| Type | Description |
Host |
|
getItemsCount()
public abstract int getItemsCount()A list of host resources.
repeated .google.cloud.compute.v1.Host items = 100526016;
| Returns | |
|---|---|
| Type | Description |
int |
|
getItemsList()
public abstract List<Host> getItemsList()A list of host resources.
repeated .google.cloud.compute.v1.Host items = 100526016;
| Returns | |
|---|---|
| Type | Description |
List<Host> |
|
getItemsOrBuilder(int index)
public abstract HostOrBuilder getItemsOrBuilder(int index)A list of host resources.
repeated .google.cloud.compute.v1.Host items = 100526016;
| Parameter | |
|---|---|
| Name | Description |
index |
int |
| Returns | |
|---|---|
| Type | Description |
HostOrBuilder |
|
getItemsOrBuilderList()
public abstract List<? extends HostOrBuilder> getItemsOrBuilderList()A list of host resources.
repeated .google.cloud.compute.v1.Host items = 100526016;
| Returns | |
|---|---|
| Type | Description |
List<? extends com.google.cloud.compute.v1.HostOrBuilder> |
|
getKind()
public abstract String getKind()The type of resource. Always compute#host for a list of hosts.
optional string kind = 3292052;
| Returns | |
|---|---|
| Type | Description |
String |
The kind. |
getKindBytes()
public abstract ByteString getKindBytes()The type of resource. Always compute#host for a list of hosts.
optional string kind = 3292052;
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for kind. |
getNextPageToken()
public abstract String getNextPageToken()This token allows you to get the next page of results for list requests. If the number of results is larger thanmaxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.
optional string next_page_token = 79797525;
| Returns | |
|---|---|
| Type | Description |
String |
The nextPageToken. |
getNextPageTokenBytes()
public abstract ByteString getNextPageTokenBytes()This token allows you to get the next page of results for list requests. If the number of results is larger thanmaxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.
optional string next_page_token = 79797525;
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for nextPageToken. |
getSelfLink()
public abstract String getSelfLink()The server-defined URL for this resource.
optional string self_link = 456214797;
| Returns | |
|---|---|
| Type | Description |
String |
The selfLink. |
getSelfLinkBytes()
public abstract ByteString getSelfLinkBytes()The server-defined URL for this resource.
optional string self_link = 456214797;
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for selfLink. |
getUnreachables(int index)
public abstract String getUnreachables(int index)Unreachable resources. end_interface: MixerListResponseWithEtagBuilder
repeated string unreachables = 243372063;
| Parameter | |
|---|---|
| Name | Description |
index |
intThe index of the element to return. |
| Returns | |
|---|---|
| Type | Description |
String |
The unreachables at the given index. |
getUnreachablesBytes(int index)
public abstract ByteString getUnreachablesBytes(int index)Unreachable resources. end_interface: MixerListResponseWithEtagBuilder
repeated string unreachables = 243372063;
| Parameter | |
|---|---|
| Name | Description |
index |
intThe index of the value to return. |
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes of the unreachables at the given index. |
getUnreachablesCount()
public abstract int getUnreachablesCount()Unreachable resources. end_interface: MixerListResponseWithEtagBuilder
repeated string unreachables = 243372063;
| Returns | |
|---|---|
| Type | Description |
int |
The count of unreachables. |
getUnreachablesList()
public abstract List<String> getUnreachablesList()Unreachable resources. end_interface: MixerListResponseWithEtagBuilder
repeated string unreachables = 243372063;
| Returns | |
|---|---|
| Type | Description |
List<String> |
A list containing the unreachables. |
getWarning()
public abstract Warning getWarning()An informational warning message.
optional .google.cloud.compute.v1.Warning warning = 50704284;
| Returns | |
|---|---|
| Type | Description |
Warning |
The warning. |
getWarningOrBuilder()
public abstract WarningOrBuilder getWarningOrBuilder()An informational warning message.
optional .google.cloud.compute.v1.Warning warning = 50704284;
| Returns | |
|---|---|
| Type | Description |
WarningOrBuilder |
|
hasEtag()
public abstract boolean hasEtag()optional string etag = 3123477;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the etag field is set. |
hasId()
public abstract boolean hasId()The unique identifier for the resource; defined by the server.
optional string id = 3355;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the id field is set. |
hasKind()
public abstract boolean hasKind()The type of resource. Always compute#host for a list of hosts.
optional string kind = 3292052;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the kind field is set. |
hasNextPageToken()
public abstract boolean hasNextPageToken()This token allows you to get the next page of results for list requests. If the number of results is larger thanmaxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.
optional string next_page_token = 79797525;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the nextPageToken field is set. |
hasSelfLink()
public abstract boolean hasSelfLink()The server-defined URL for this resource.
optional string self_link = 456214797;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the selfLink field is set. |
hasWarning()
public abstract boolean hasWarning()An informational warning message.
optional .google.cloud.compute.v1.Warning warning = 50704284;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the warning field is set. |